Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.type
Interface Namespace

All Superinterfaces:
  Collection<Name>, Iterable<Name>, Set<Name>

    public interface Namespace

extends Set<Name>

A collection of 0 or more names, with no duplicates.

If this was not an interface only project we could make use of the javax.naming package As such we recommend storing your Namespace instances in a JNDI according to their URI.

The ISO 19103 specification asks that we have:

- isGlobal()
- name() - inidicating the name of this namespace
- getNames() - set of names

We have combined these concerns by making this a Set of Names, and we remember the URI of this namespace.

One allowance ISO_19103 allows for is having a Namespace located inside another namespace. You may certaintly do this by constructing a facility similar to Schema in which namespaces may be looked up via a Name with the same URI as the one used here.

We are simply not dictating the lookup mechanism, or a backpointer to a containing namespace (note the two solutions are in conflict and we would like to offer application the freedom to back this interface onto a facility such as JNDI used in their own application).

Since:
  GeoAPI 2.1

Method Summary
`String` | `getURI()` Indicates the URI of this namespace.
`Name` | `lookup(String name)` Allows lookup via just the localPart of the name

Methods inherited from interface Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Method Detail

### getURI

    String getURI()

  Indicates the URI of this namespace.

### lookup

    Name lookup(String name)

  Allows lookup via just the localPart of the name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.